{
  "deffilter-all": {
    "id": "deffilter-all",
    "label": "Все файлы",
    "expr": "/.*/i",
    "type": 3,
    "active": false
  },
  "deffilter-arch": {
    "id": "deffilter-arch",
    "label": "Архивы (zip, rar, ...)",
    "expr": "/\\.(?:z(?:ip|[0-9]{2})|r(?:ar|[0-9]{2})|jar|bz2|gz|tar|rpm|7z(?:ip)?|lzma|xz)$/i",
    "type": 1,
    "active": false
  },
  "deffilter-aud": {
    "id": "deffilter-aud",
    "label": "Аудио (mp3, wav, ...)",
    "expr": "/\\.(?:mp3|wav|og(?:g|a)|flac|midi?|rm|aac|wma|mka|ape)$/i",
    "type": 1,
    "active": false
  },
  "deffilter-bin": {
    "id": "deffilter-bin",
    "label": "Программы (exe, xpi, ...)",
    "expr": "/\\.(?:exe|msi|dmg|bin|xpi|iso)$/i",
    "type": 1,
    "active": false
  },
  "deffilter-doc": {
    "id": "deffilter-doc",
    "label": "Документы (pdf, odf, ...)",
    "expr": "/\\.(?:pdf|xlsx?|docx?|odf|odt|rtf)$/i",
    "type": 1,
    "active": false
  },
  "deffilter-img": {
    "id": "deffilter-img",
    "label": "Изображения (jpg, png, ...)",
    "expr": "/\\.(?:jp(?:e?g|e|2)|gif|png|tiff?|bmp|ico)$/i",
    "type": 3,
    "active": false
  },
  "deffilter-imggif": {
    "id": "deffilter-imggif",
    "label": "Изображения GIF",
    "expr": "/\\.gif$/i",
    "type": 2,
    "active": false
  },
  "deffilter-imgjpg": {
    "id": "deffilter-imgjpg",
    "label": "Изображения JPEG",
    "expr": "/\\.jp(e?g|e|2)$/i",
    "type": 3,
    "active": true
  },
  "deffilter-imgpng": {
    "id": "deffilter-imgpng",
    "label": "Изображения PNG",
    "expr": "/\\.png$/i",
    "type": 2,
    "active": false
  },
  "deffilter-vid": {
    "id": "deffilter-vid",
    "label": "Видео (mpeg, avi, ...)",
    "expr": "/\\.(?:mpeg|ra?m|avi|mp(?:g|e|4)|mov|divx|asf|qt|wmv|m\\dv|rv|vob|asx|ogm|ogv|webm|flv|mkv)$/i",
    "type": 3,
    "active": true
  }
}